Scriptname PNSMEF_fix Extends ActiveMagicEffect

Spell Property PNSMEFSpell Auto

Event OnEffectStart(Actor akTarget, Actor akCaster)
    ; Remove PNSMEF
    If (akTarget.HasSpell(PNSMEFSpell))
        akTarget.RemoveSpell(PNSMEFSpell)
    EndIf
    
    ; Reset skin override from PNSMEF
    ActorBase base = akTarget.GetActorBase()
    bool female = base.GetSex() == 1 
    int m = 4 ; Mask
    int k = 9 ; Key
    int i = 1 ; Index
    
    ; NiOverride.RemoveSkinOverride(akTarget, female, true, m, k, i)
    NiOverride.RemoveSkinOverride(akTarget, female, false, m, k, i)
    
    ; Go away
    Dispel()
EndEvent

